type - python psycopg2 github




psycopg2をXCode4でOSX 10.6.7にインストールできない (2)

ARCHFLAGSが実際に固執していて何か問題があったようです。

sudo env ARCHFLAGS = " - arch i386 -arch x86_64" pip install psycopg2

実際に働いた。

psycopg2をOSXにインストールしようとすると、次のようになります。

building 'psycopg2._psycopg' extension

creating build/temp.macosx-10.6-universal-2.6

creating build/temp.macosx-10.6-universal-2.6/psycopg

gcc-4.2 -fno-strict-aliasing -fno-common -dynamic -DNDEBUG -g -fwrapv -Os -Wall -Wstrict-prototypes -DENABLE_DTRACE -arch i386 -arch ppc -arch x86_64 -pipe -DPSYCOPG_DEFAULT_PYDATETIME=1 -DPSYCOPG_VERSION="2.4 (dt dec pq3 ext)" -DPG_VERSION_HEX=0x090003 -DPSYCOPG_EXTENSIONS=1 -DPSYCOPG_NEW_BOOLEAN=1 -DHAVE_PQFREEMEM=1 -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -I. -I/usr/local/Cellar/postgresql/9.0.3/include -I/usr/local/Cellar/postgresql/9.0.3/include/server -c psycopg/psycopgmodule.c -o build/temp.macosx-10.6-universal-2.6/psycopg/psycopgmodule.o

/usr/libexec/gcc/powerpc-apple-darwin10/4.2.1/as: assembler (/usr/bin/../libexec/gcc/darwin/ppc/as or /usr/bin/../local/libexec/gcc/darwin/ppc/as) for architecture ppc not installed

Installed assemblers are:

/usr/bin/../libexec/gcc/darwin/x86_64/as for architecture x86_64

/usr/bin/../libexec/gcc/darwin/i386/as for architecture i386

psycopg/psycopgmodule.c:1009: fatal error: error writing to -: Broken pipe

compilation terminated.

lipo: can't open input file: /var/folders/zf/zfsYTD29GwSWm+UDcF6VxE+++TM/-Tmp-//ccd8ckcV.out (No such file or directory)

error: command 'gcc-4.2' failed with exit status 1

誰も私はそれをインストールするために何ができるか考えている? Postgresがインストールされているとうまくいくようです。

私はeasy_installとpipの両方をインストールしようとしましたが、どちらも似たようなメッセージで終わります。


問題は、OS X 10.6に含まれるPython 2.6が3つのサポートされているアーキテクチャ(以前のリリースのOS Xとの互換性のためにi386、x86_64、ppc)用に構築され、PythonのDistutilsがすべてのC拡張モジュールが同じarch sをPythonインタプリタとライブラリとして使用します。 しかし、Xcode 4は明らかにPPCのサポートを削除しています。 公式のパッチが入手できるまでは、次のいずれかを行うことができます。

  • pyscopg2用のsetup.pyスクリプトを実行するときに、アーチをオーバーライドしてください(Adamが指摘するように、Distutils ARCHFLAGSがこれを行う方法です)
  • Xcode 3を使用することに戻ります(または、Xcode 4の横にXcode 3をインストールするためのサポートされていないハックを試してください)
  • 別のPythonを試してみてください。 たとえば、Python 2.7の場合、python.orgはi386 / x86_64 Pythonのインストーラを提供していhere
  • MacPortsようなサードパーティのパッケージマネージャを使って、必要なものをすべてビルドしてインストールすることもできます。

    sudo port install py27-psycopg2 # installs Python2.7, portgresql, and pysycopg2
    




pip